Subject: Ticket Assigned - Delayed delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 18 Nov 2022 16:49:09 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delayed delivery I am writing this email with alot of grief in regards to the pathetic delivery by babyshop. 

I have placed two orders mentioning below the order number. 

Order#9400530595: Luna 5 in 1 baby stroller, the order was placed on 16 Nov 2022 and today on visiting the Madina Mall store they informed the item is still in the warehouse and not yet received in the store. 48 hours also not enough to make a delivery. Still the outlet informed me it MAYBE available for pickup tomorrow but not sure. 

Order#9400536377: Lorenzo stroller, expected delivery date was today between 10 AM - 2 PM for which I received a call already. 

If the item for click n collect was supposed to be delayed, instead I would have had it delivered atleast would have been on time. 

Please improve your click n collect service. Pathetic first time experience with babyshop. 

Unthankful customer
Jawaad
0504715949

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5292740